com.mysql.cj

## Interface MessageBuilder<M extends Message>

    public interface MessageBuilder<M extends Message>

### Method Summary

All Methods Instance Methods Abstract Methods
`M` `buildClose()`
`M` `buildComQuery(M sharedPacket, Session sess, PreparedQuery preparedQuery, QueryBindings bindings, String characterEncoding)`
`M` `buildSqlStatement(String statement)`
`M` `buildSqlStatement(String statement, List<Object> args)`

### Method Detail

#### buildSqlStatement

    M buildSqlStatement(String statement)

#### buildSqlStatement

    M buildSqlStatement(String statement,
                        List<Object> args)

#### buildClose

    M buildClose()

#### buildComQuery

    M buildComQuery(M sharedPacket,
                    Session sess,
                    PreparedQuery preparedQuery,
                    QueryBindings bindings,
                    String characterEncoding)

Copyright © 2016, 2024, Oracle and/or its affiliates.